1. Fiat Withdrawal
v2.0 (Production)
  • v2.0 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • Getting Started
  • Account Setup
  • Webhook
  • Idempotent Requests
  • API Error Handling Guide
  • Authentication
    • Authentication
    • Get Token
      POST
  • Account Management
    • Get Balance
      GET
    • Internal Transfer
      POST
    • Get Internal Transfer
      GET
    • Get Settlement Statement
      GET
  • Merchant Management
    • [Recommended] Create Merchant
    • [Recommended] Get Merchant
    • [Recommended] Merchant Status Webhook
    • Merchant Status Webhook
  • Fiat Payment
    • Fiat Account Management
      • Get Fiat Account Capabilities
      • Create Fiat Account Request
      • Submit Additional Information for Fiat Account Request
      • Get Fiat Account Application Status
      • Fiat Account Request Status Webhook
      • Fiat Account Application Status Webhook
      • Add Bank Account
      • Get Bank Accounts
    • Fiat Deposit
      • Get Deposit Bank Account
      • Get Fiat Deposit Detail
      • Get Fiat Deposit History
      • Fiat Deposit Webhook
    • Fiat Withdrawal
      • Get Same Name Withdrawal Capabilities
        GET
      • Activate Same Name Withdrawal
        POST
      • Submit Additional Information for Activating Same Name Withdrawal
        POST
      • Activate Same Name Withdrawal Webhook
        POST
      • Create Fiat Withdrawal
        POST
      • Submit Additional Information for Fiat Withdrawal Request
        POST
      • Get Fiat Withdrawal Detail
        GET
      • Get Fiat Withdrawal History
        GET
      • Fiat Withdrawal Webhook
        POST
  • Crypto Payment
    • Crypto Checkout
      • Create Crypto Checkout
      • Create Crypto Checkout Link
      • Crypto Checkout Wallet Connection
      • Generate POS Payment Request
      • Close Crypto Checkout
      • Get Convertible Cryptos
      • Get Crypto Checkout
      • Get Crypto Checkout Link
      • Get Crypto Checkout Currencies
      • Crypto Checkout Webhook
    • Crypto Deposit
      • Update Crypto Deposit Travel Rule Info
      • Get Crypto Deposit Wallet
      • Get Crypto Deposit
      • Get Crypto Deposit History
      • Crypto Deposit Webhook
    • Crypto Withdrawal
      • Register Wallet Address
      • Remove Wallet Address
      • Create Crypto Withdrawal
      • Get Wallet Address
      • Get Crypto Withdrawal
      • Get Crypto Withdrawal History
      • Crypto Withdrawal Webhook
    • Crypto Collection
      • Buyer Management
        • Create Buyer
        • Get Buyer
        • Update Buyer
        • Buyer Status Webhook
      • Create Collection Wallet
      • Update Collection Wallet
      • Get Collection Wallet
      • Get Crypto Collection
      • Update Co-KYT status
      • Crypto Collection Wallet Webhook
      • Crypto Collection Webhook
    • Crypto Refund
      • Create Crypto Refund
      • Confirm Crypto Refund
      • Get Crypto Refund
      • Crypto Refund Webhook
    • Currency & Blockchain
      • Get Supported Blockchains
  • Conversion
    • Create Quotation
    • Create Conversion
    • Get Quotation
    • Get Conversion
    • Conversion Webhook
  • Tools
    • [Recommended] Upload File
      POST
    • [Deprecated] Upload File
      POST
    • getTnC
      GET
  • Release Note
    • Version 1.0 Release Note
    • Version 1.0.1 Release Note
    • Version 1.0.2 Release Note
    • Version 1.0.3 Release Note
    • Version 1.0.4 Release Note
  • Deprecated APIs
    • Deprecated
      • [Deprecated] Create Fiat Account Application(v1.0)
      • [Deprecated] Get Fiat Account Application Status(v1.0)
      • [Deprecated] Fiat Account Application Status Webhook(v1.0)
    • (Deprecated)Withdrawal
      • Create Withdrawal Request
      • Get Withdrawal Detail
      • Get Withdrawal History
      • Create Third Party Withdrawal Request
    • (Deprecated)Deposit
      • Get Deposit Detail
      • (Deprecated)Get Deposit Bank Account
      • Get Deposit Wallet
      • Get Deposit History
    • (Deprecated) Payment
      • Create Payment Request
      • Get Payment Request
      • Get List of Supported Currencies for Payment Link Generation
      • Get Payment Wallet Address
    • (Deprecated) OTC Trading
      • (Deprecated)Get Quote
      • (Deprecated)Create OTC Trading
      • (Deprecated)Get Trade Detail
      • (Deprecated)Get Trade History
    • (Deprecated) Account Management
      • (Deprecated) Get Balance
      • (deprecated) Get Statement
      • (Deprecated) Internal Transfer
    • (Deprecated) Address Book
      • (Deprecated)Add Bank Account
      • (Deprecated)Get Bank Accounts
    • (Deprecated) Merchant Management
      • (Deprecated)Create End User Account
    • Deprecated
      • [Deprecated] Get List of Currencies that Supports Same-Name Withdrawal
      • [Deprecated] Create Fiat Withdrawal(v1.0)
      • [Deprecated] Get Fiat Withdrawal Detail(v1.0)
      • [Deprecated] Get Fiat Withdrawal History(v1.0)
      • Fiat Withdrawal Webhook
    • Deprecated
      • [Deprecated] Create Merchant(v1.0)
      • [Deprecated] Get Merchant(v1.0)
      • [Deprecated] Merchant Status Webhook(v1.0)
    • (Deprecated) Intra Account Sweep
  1. Fiat Withdrawal

Fiat Withdrawal Webhook

POST
/webhooks/fiat-withdrawal/v2
To notify fiat withdrawal status

Request

Authorization
or
Header Params

Body Params application/json

Example
{
    "eventType": "string",
    "notificationId": "string",
    "data": {
        "fiatWithdrawalId": "string",
        "participantCode": "string",
        "requireSameNamePayout": true,
        "withdrawalType": 1,
        "currency": "string",
        "amount": 0,
        "fees": 0,
        "swiftChargingCode": 1,
        "estimatedAmountReceivable": 0,
        "to": "string",
        "paymentReference": "string",
        "clientReference": "string",
        "bankInfo": {
            "label": "string",
            "bankAccountNumber": "string"
        },
        "purposeOfTransaction": "string",
        "proofFile": "string",
        "idorPassportFile": "string",
        "status": 1,
        "statusInfo": "string",
        "createdAt": 0,
        "updatedAt": 0
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/webhooks/fiat-withdrawal/v2' \
--header 'X-Signature: t=1758867971711,v0=b2468f1bc285eb64be242ee6d02e3c959dfb61482abe47ddb50da4b6be55997e' \
--header 'Content-Type: application/json' \
--data-raw '{
    "eventType": "string",
    "notificationId": "string",
    "data": {
        "fiatWithdrawalId": "string",
        "participantCode": "string",
        "requireSameNamePayout": true,
        "withdrawalType": 1,
        "currency": "string",
        "amount": 0,
        "fees": 0,
        "swiftChargingCode": 1,
        "estimatedAmountReceivable": 0,
        "to": "string",
        "paymentReference": "string",
        "clientReference": "string",
        "bankInfo": {
            "label": "string",
            "bankAccountNumber": "string"
        },
        "purposeOfTransaction": "string",
        "proofFile": "string",
        "idorPassportFile": "string",
        "status": 1,
        "statusInfo": "string",
        "createdAt": 0,
        "updatedAt": 0
    }
}'

Responses

🟢200OK
application/json
Body

Example
{}
Modified at 2026-03-25 02:50:40
Previous
Get Fiat Withdrawal History
Next
Create Crypto Checkout
Built with